MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025867Open CASCADE[OCCT] OCCT:Visualizationpublic2015-02-25 14:502015-05-14 15:31
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025867: Visualization, TKOpenGl - fix misprint in transformation persistence math
DescriptionThe following code has misprint with missing aWinX, which causes misbehavior of transformation persistence algorithm:
    OpenGl_Utils::Project<Standard_Real> (theTransPers->pointX,
                                          theTransPers->pointY,
                                          theTransPers->pointZ,
                                          aModelMatrix,
                                          aProjMatrix,
                                          aViewport,
                                          aWinZ,
                                          aWinY,
                                          aWinZ);


this is regression after 0024381.
Steps To Reproducetest bugs vis bug25867
TagsNo tags attached.
Test case numberbugs vis(004) bug25867
Attached Files

- Relationships
related to 0025611closedbugmaster Community Displaying 'zbufftrihedron' interferes with 'graduatedtrihedron' 
related to 0024381closedbugmaster Open CASCADE Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices 
related to 0025783closedbugmaster Open CASCADE Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay 

-  Notes
(0037860)
git (administrator)
2015-02-25 14:52

Branch CR25867 has been created by kgv.

SHA-1: be73ecf53c9f36a60d3c7778a0cd572cc264879b


Detailed log of new commits:

Author: kgv
Date: Wed Feb 25 14:52:03 2015 +0300

    0025867: Visualization, TKOpenGl - fix misprint in transformation persistence math
(0037861)
kgv (developer)
2015-02-25 14:52

Dear aba,

please add test cases to the patch.
(0037872)
git (administrator)
2015-02-25 16:17

Branch CR25867 has been updated by aba.

SHA-1: 5461a614dff525a44e85c4b9fa49861015ab7b2e


Detailed log of new commits:

Author: aba
Date: Wed Feb 25 16:17:22 2015 +0300

    Added test case

(0037873)
aba (developer)
2015-02-25 16:19

Test case for zoom transform persistence was added.

Dear kgv,

please review.
(0037874)
kgv (developer)
2015-02-25 16:26

Please test the patch.
(0037968)
git (administrator)
2015-02-27 19:35

Branch CR25867 has been updated forcibly by apv.

SHA-1: 4a89a0f6c61e021a7268402ea31335b9979be468
(0037969)
apv (tester)
2015-02-27 19:35

Branch CR25867 has been rebased on the current master
(0038048)
apv (tester)
2015-03-03 15:52

Dear BugMaster,

Branch CR25867 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4a89a0f6c61e021a7268402ea31335b9979be468

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 2 (2 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis(004) bug25867 - OK
http://occt-tests/CR25867-master-occt-64/Debian60-64/bugs/vis/bug25867.html [^]
http://occt-tests/CR25867-master-occt-64/Windows-64-VC10/bugs/vis/bug25867.html [^]

Testing on Linux:
Total MEMORY difference: 91519881 / 91839889
Total CPU difference: 55839.72000000016 / 59519.03999999998

Testing on Windows:
Total MEMORY difference: 57942999 / 57944267
Total CPU difference: 40423.75 / 38926.375
(0038622)
git (administrator)
2015-03-18 13:39

Branch CR25867 has been deleted by inv.

SHA-1: 4a89a0f6c61e021a7268402ea31335b9979be468

- Related Changesets
occt: master 8621cdc2
Timestamp: 2015-03-05 10:45:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025867: Visualization, TKOpenGl - fix misprint in transformation persistence math

Added test case
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
add - tests/bugs/vis/bug25867 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-25 14:50 kgv New Issue
2015-02-25 14:50 kgv Assigned To => kgv
2015-02-25 14:52 git Note Added: 0037860
2015-02-25 14:52 kgv Note Added: 0037861
2015-02-25 14:52 kgv Assigned To kgv => aba
2015-02-25 14:52 kgv Status new => assigned
2015-02-25 14:52 kgv Relationship added related to 0025611
2015-02-25 14:55 kgv Relationship added related to 0024381
2015-02-25 14:56 kgv Description Updated View Revisions
2015-02-25 15:58 kgv Relationship added related to 0025783
2015-02-25 16:17 git Note Added: 0037872
2015-02-25 16:19 aba Note Added: 0037873
2015-02-25 16:19 aba Assigned To aba => kgv
2015-02-25 16:19 aba Status assigned => resolved
2015-02-25 16:19 aba Steps to Reproduce Updated View Revisions
2015-02-25 16:26 kgv Note Added: 0037874
2015-02-25 16:26 kgv Assigned To kgv => bugmaster
2015-02-25 16:26 kgv Status resolved => reviewed
2015-02-26 15:33 mkv Assigned To bugmaster => apv
2015-02-27 19:35 git Note Added: 0037968
2015-02-27 19:35 apv Note Added: 0037969
2015-03-03 15:49 apv Test case number => bugs vis(004) bug25867
2015-03-03 15:52 apv Note Added: 0038048
2015-03-03 15:52 apv Assigned To apv => bugmaster
2015-03-03 15:52 apv Status reviewed => tested
2015-03-06 15:13 bugmaster Changeset attached => occt master 8621cdc2
2015-03-06 15:13 bugmaster Status tested => verified
2015-03-06 15:13 bugmaster Resolution open => fixed
2015-03-18 13:39 git Note Added: 0038622
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker